org.apache.tinkerpop.gremlin.tinkergraph.process.computer

## Class TinkerGraphComputerView

- java.lang.Object
- - org.apache.tinkerpop.gremlin.tinkergraph.process.computer.TinkerGraphComputerView

-     public final class TinkerGraphComputerView
      extends Object

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Map<String,VertexComputeKey>` | `computeKeys`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TinkerGraphComputerView(TinkerGraph graph, GraphFilter graphFilter, Set<VertexComputeKey> computeKeys)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<V> Property<V>` | `addProperty(TinkerVertex vertex, String key, V value)`
    `protected void` | `complete()`
    `List<Property>` | `getProperties(TinkerVertex vertex)`
    `List<VertexProperty<?>>` | `getProperty(TinkerVertex vertex, String key)`
    `boolean` | `legalEdge(Vertex vertex, Edge edge)`
    `boolean` | `legalVertex(Vertex vertex)`
    `Graph` | `processResultGraphPersist(GraphComputer.ResultGraph resultGraph, GraphComputer.Persist persist)`
    `void` | `removeProperty(TinkerVertex vertex, String key, VertexProperty property)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### computeKeys

          protected final Map<String,VertexComputeKey> computeKeys

  - ### Constructor Detail

    - #### TinkerGraphComputerView

          public TinkerGraphComputerView(TinkerGraph graph,
                                         GraphFilter graphFilter,
                                         Set<VertexComputeKey> computeKeys)

  - ### Method Detail

    - #### addProperty

          public <V> Property<V> addProperty(TinkerVertex vertex,
                                             String key,
                                             V value)

    - #### getProperty

          public List<VertexProperty<?>> getProperty(TinkerVertex vertex,
                                                     String key)

    - #### getProperties

          public List<Property> getProperties(TinkerVertex vertex)

    - #### removeProperty

          public void removeProperty(TinkerVertex vertex,
                                     String key,
                                     VertexProperty property)

    - #### legalVertex

          public boolean legalVertex(Vertex vertex)

    - #### legalEdge

          public boolean legalEdge(Vertex vertex,
                                   Edge edge)

    - #### complete

          protected void complete()

    - #### processResultGraphPersist

          public Graph processResultGraphPersist(GraphComputer.ResultGraph resultGraph,
                                                 GraphComputer.Persist persist)

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.